APIMCPs

Request an MCP

Request an MCP that is not installed yet.

POST
/mcps/requests

Request an MCP that is not installed yet.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_connections

Request Body

application/json
  1. body

Body for requesting an MCP; tagged by kind.

kind*"catalog"
Value in"catalog"
catalog_slug*string

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
id*uuid
Formatuuid
kind*string
target*string
display_name*string
requester*
created_at*string
Formatdate-time
Example Request
curl -X POST 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/mcps/requests' \  -H 'Content-Type: application/json' \  -d '{  "kind": "catalog",  "catalog_slug": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "string",  "target": "string",  "display_name": "string",  "requester": {    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",    "display_name": "string",    "email": "string"  },  "created_at": "2019-08-24T14:15:22Z"}